# vim: set ft=spec: -*- rpm-spec -*-
# vim600: set fdm=marker:

# {{{ Perl/Python/Ruby/Tcl/MzScheme support
%def_enable perlinterp
%def_disable pythoninterp
%def_enable rubyinterp
%def_enable tclinterp
%def_disable mzschemeinterp
# }}}
# {{{ enable/disable logic
%def_enable gpm

%def_enable minimal

%def_enable devel

%def_enable gui_athena
%def_disable gui_gnome2
%def_enable gui_gtk
%def_enable gui_gtk2
%def_enable gui_motif
%def_enable gui_neXtaw

%global gui %nil
%if_enabled gui_athena
%global gui %gui athena
%endif
%if_enabled gui_gnome2
%global gui %gui gnome2
%endif
%if_enabled gui_gtk
%global gui %gui gtk
%endif
%if_enabled gui_gtk2
%global gui %gui gtk2
%endif
%if_enabled gui_motif
%global gui %gui motif
%endif
%if_enabled gui_neXtaw
%global gui %gui neXtaw
%endif

%if "%gui" != "%nil"
%force_enable gui_any
%endif
# }}}

Name: vim
%define oname vim
%define major		7
%define minor		0
# Note to self - don't use xYY pre without cvsdate
#define pre		g
#define cvsdate		20060327
%define mainver		%major.%minor
# Note to self - don't use patchlevel with pre
%define patchlevel	099
%define buildlevel	1

# vimspell interface version
%define vimspell_version	50.1

Version: %major.%minor%{?patchlevel:.%patchlevel}
Release: alt0.M24.%{?pre:0.}%buildlevel%{?pre:.%pre}%{?cvsdate:.cvs%cvsdate}
Serial: 4
Packager: Vim Development Team <vim@packages.altlinux.org>

%define builddir	%{!?cvsdate:%oname%major%minor%{?pre:%pre}}%{?cvsdate:%oname%major}

Summary: VIsual editor iMproved
License: Charityware
Group: Editors
Url: http://www.vim.org

%add_findreq_skiplist %_datadir/vim/*

# Avoid rm -rf $DOCDIR...
%define _customdocdir %_defaultdocdir/%name-common-%version

# {{{ RPM macros
%define _update_vimhelp_bin	%_bindir/update-vimhelp
%define update_vimhelp		[ "$1" = 1 -a -x %_update_vimhelp_bin ] && %_update_vimhelp_bin ||:
%define clean_vimhelp		[ -x %_update_vimhelp_bin ] && %_update_vimhelp_bin ||:

%define vim_runtime_dir %_datadir/vim/vimfiles
# }}}

# {{{ Sources
%ifndef cvsdate
Source0: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/unix/%oname-%mainver%{?pre:%pre}.tar.bz2
Source1: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/extra/%oname-%mainver%{?pre:%pre}-lang.tar.gz
Source2: ftp://ftp.vim.org/pub/vim%{?pre:/unstable}/extra/%oname-%mainver%{?pre:%pre}-extra.tar.gz
%else
Source0: %oname%major-%cvsdate.tar.bz2
%endif
Source3: %name-%mainver-langmap.tar.bz2
Source4: %name-%mainver-langrc.tar.bz2
%ifdef patchlevel
Source5: %name-%mainver%{?pre:%pre}-official-patches-%patchlevel.tar.bz2
%endif
Source6: gvim.desktop
Source7: %name-%mainver-system.vimrc
Source8: %name-%mainver-system.gvimrc

Source9: vim-enhanced.alternatives
Source10: vim-console.alternatives
Source11: vim-X11.alternatives

Source12: vim-X11-athena.alternatives
Source13: vim-X11-gtk.alternatives
Source14: vim-X11-gtk2.alternatives
Source15: vim-X11-motif.alternatives
Source16: vim-X11-neXtaw.alternatives
Source17: vim-X11-gnome2.alternatives

Source19: README.ALT-ru_RU.KOI8-R

# Thanx to wrar...
Source20: http://www.geocities.com/yegappan/vim_faq_help.txt

Source100: vim-7.0-alt-filetypes.vim
# }}}

# {{{ Patches
Patch: vim-7.0.097-20060910-runtime.diff

Patch1: vimrc_hebrew.patch
Patch2: vim-7.0-alt-spec-syntax.patch
Patch3: vim-6.0-Makefile.patch
Patch4: vim-7.0g-alt-vimfaq.patch
Patch5: vim-7.0-alt-localized-man-locations.patch
Patch6: vim-7.0-alt-early-ftdetect.patch
# }}}

# {{{ BuildRequires
# Automatically added by buildreq on Mon Apr 28 2003 and filtered by raorn
# Common requires
BuildPreReq: libalternatives-devel
BuildPreReq: iconv
BuildPreReq: libacl-devel
BuildPreReq: libattr-devel
%if_enabled gpm
BuildPreReq: libgpm-devel
%endif
BuildPreReq: libtinfo-devel
BuildPreReq: unzip
# man commandline check
BuildPreReq: man
# ctags commandline check
BuildPreReq: ctags
# Common X11
%if_enabled gui_any
BuildPreReq: XFree86-devel xpm-devel
BuildPreReq: menu-devel
%endif
# Athena
%if_enabled gui_athena
#BuildPreReq: 
%endif
# GNOME2
%if_enabled gui_gnome2
# NOT TESTED!!!
#BuildPreReq: ORBit2-devel glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcairo-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig zlib-devel
%endif
# gtk+
%if_enabled gui_gtk
BuildPreReq: glib-devel gtk+-devel pkgconfig 
%endif
# gtk+2
%if_enabled gui_gtk2
BuildPreReq: glib2-devel gtk+-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig 
%endif
# motif
%if_enabled gui_motif
BuildPreReq: openmotif-devel 
%endif
# neXtaw
%if_enabled gui_neXtaw
BuildPreReq: libneXtaw-devel 
%endif
# Perl
%if_enabled perlinterp
BuildPreReq: perl-devel
%endif
# Python
%if_enabled pythoninterp
BuildPreReq: python-devel
BuildConflicts: python-dev < 2.3.4-alt1
BuildConflicts: python-devel-static
%endif
# Ruby
%if_enabled rubyinterp
BuildPreReq: libruby-devel >= 1.8
BuildPreReq: ruby >= 1.8
%endif
# Tcl
%if_enabled tclinterp
BuildPreReq: tcl-devel >= 8.4.0-alt1
%endif
%if_enabled mzschemeinterp
BuildPreReq: plt2
%endif
# }}}

# {{{ Description
%description
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.
# }}}

# {{{ vim-common
%package common
Summary: The common files needed by any version of the VIM editor
Group: Editors
PreReq: coreutils
PreReq: %name
PreReq: %_bindir/vim
Requires: mktemp >= 1:1.3.1
Provides: vimspell-interface = %vimspell_version
%if_enabled minimal
Conflicts: %name-minimal < %serial:%version-%release
Conflicts: %name-minimal > %serial:%version-%release
%endif
%if %oname != %name
Conflicts: %oname-common < %serial:%version-%release
Conflicts: %oname-common > %serial:%version-%release
Provides: %oname-common = %serial:%version-%release
%endif
# Bundled plugins:
Provides: vim-plugin-netrw = 102.vim
Obsoletes: vim-plugin-netrw <= 102
Provides: vim-plugin-vimruby = 20060619.vim
Obsoletes: vim-plugin-vimruby <= 20060619
Provides: vim-plugin-vimball = 17.vim
Obsoletes: vim-plugin-vimball <= 17
Provides: vim-plugin-tar-ftplugin = 10.vim
Obsoletes: vim-plugin-tar-ftplugin <= 10
Provides: vim-plugin-zip-ftplugin = 11.vim
Obsoletes: vim-plugin-zip-ftplugin <= 11

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

If you are installing any version of the VIM editor, you'll also need to
the vim-common package installed.
# }}}
# {{{ vimtutor
%package -n vimtutor
Summary: VIM tutor
Group: Editors
PreReq: %name-common = %serial:%version-%release
Requires: %_bindir/vim

%description -n vimtutor
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

This package contains VIM tutor.
# }}}
# {{{ vim-spell
%package spell-source
Summary: vimspell dictionary sources
Group: Development/Other
Requires: %name-devel = %serial:%version-%release

%description spell-source
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

This package contains vimspell sources for building additional dictionaries.
# }}}
# {{{ vim-minimal
%package minimal
Summary: A minimal version of the VIM editor
Group: Editors
PreReq: coreutils
Provides: vi = %serial:%version-%release
Provides: /bin/vi

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-minimal package
includes a minimal version of VIM, which is installed into /bin/vi for use
when only the root partition is present.

Just install it because you'll need it.
# }}}
# {{{ vim-enhanced
%package enhanced
Summary: A terminal-based, full-featured version of the VIM editor
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-common = %serial:%version-%release
Provides: %name = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-enhanced package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a full-featured
VIM, but you don't use X11 or don't want to use GUI version of VIM.
You'll also need to install the vim-common package.
# }}}
# {{{ vim-console
%package console
Summary: A terminal-based, full-featured version of the VIM editor
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-common = %serial:%version-%release
Provides: %name = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color

%description console
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-console package
contains a version of VIM with extra, recently introduced features like
Python and Perl interpreters.

Install the vim-console package if you'd like to use a full-featured
VIM, but you don't use X11 or don't want to use GUI version of VIM nor want
to use perl/python/ruby/tcl interface.  You'll also need to install the
vim-common package.
# }}}
# {{{ vim-X11
%package X11
Summary: A full version of VIM editor, including GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
PreReq: %name-X11-gui
Requires: %name-common = %serial:%version-%release
Provides: %name = %serial:%version-%release
Provides: %_bindir/vim
Obsoletes: vim-color

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 interface.  You'll also need to install the vim-common
package.
# }}}
# {{{ vim-X11-athena
%package X11-athena
Summary: A full version of VIM editor, including Xaw GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-athena
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Xaw interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-X11-gnome2
%package X11-gnome2
Summary: A full version of VIM editor, including GNOME GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-gnome2
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 GNOME interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-X11-gtk
%package X11-gtk
Summary: A full version of VIM editor, including gtk+ GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: gtk+ >= 1.2.3
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-gtk
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 gtk+ interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-X11-gtk2
%package X11-gtk2
Summary: A full version of VIM editor, including gtk+2 GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: libgtk+2 >= 2.0
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-gtk2
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 gtk+2 interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-X11-motif
%package X11-motif
Summary: A full version of VIM editor, including Motif GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-motif
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 Motif interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-X11-neXtaw
%package X11-neXtaw
Summary: A full version of VIM editor, including neXtaw GUI for the X Window System
Group: Editors
PreReq: coreutils
PreReq: alternatives >= 0.0.6
Requires: %name-X11 = %serial:%version-%release
Provides: %name-X11-gui = %serial:%version-%release
Provides: %_bindir/vim-X11
Obsoletes: vim-color

%description X11-neXtaw
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.

VIM-X11 is a full version of the VIM editor, including the GUI. You can run it
either in terminal or within the X Window System. This package supersedes
vim-ehnanced package.

Install the vim-X11 package if you'd like to use a full-featured VIM with both
terminal and X11 neXtaw interface.  You'll also need to install the vim-X11
package.
# }}}
# {{{ vim-devel
%package devel
Summary: RPM macros needed to build additional VIM plugin packages
Group: Development/Other
Conflicts: %name-common < %serial:%version-%release
Conflicts: %name-common > %serial:%version-%release
PreReq: /etc/rpm/macros.d

%description devel
VIM (VIsual editor iMproved) is an updated and improved version of the vi
editor.  Vi was the first real screen-based editor for UNIX, and is still
very popular.  VIM improves on vi by adding new features: multiple windows,
multi-level undo, block highlighting and more.  The vim-common package
contains files which every VIM binary will need in order to run.

This package contains RPM macros needed to build additional VIM plugin
packages.
# }}}

# {{{ prep section
%prep
%setup -q %{!?cvsdate:-b1 -b2} -a3 -a4 %{?patchlevel:-a5} -n %builddir
%ifdef patchlevel
pushd official-patches/
md5sum -c MD5SUMS
popd
for i in official-patches/%{mainver}%{?pre:%pre}.*; do
   %__patch -p0 <$i || exit 1
done
# Official runtime
%patch -p0
%endif

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# VIm FAQ
%__install -p -m644 %SOURCE20 runtime/doc/vim_faq.txt

# Load (g)vimrc file(s) from %_sysconfdir
%__subst 's|^.*#define[[:blank:]]\+SYS_VIMRC_FILE[[:blank:]]\+.*$|#define SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/feature.h
%__subst 's|^.*#define[[:blank:]]\+SYS_GVIMRC_FILE[[:blank:]]\+.*$|#define SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/feature.h
# Compressed documentation
#__subst 's|^.*#[[:blank:]]*define[[:blank:]]\+DFLT_HELPFILE[[:blank:]]\+.*$|#define DFLT_HELPFILE "$VIMRUNTIME/doc/help.txt.gz"|' src/feature.h

# {{{2 features
# +xterm_save
%__subst 's|^.*#define[[:blank:]]\+FEAT_XTERM_SAVE[[:blank:]]\+.*$|#define FEAT_XTERM_SAVE 1|' src/feature.h
# 2}}}

%__cp -p %SOURCE19 .

VIMSPELLVERSION=`grep '^[[:blank:]]*#define[[:blank:]]\+VIMSPELLVERSION[[:blank:]]\+[[:digit:]]\+[[:blank:]]*$' src/spell.c | sed -e 's/^[[:blank:]]*#define[[:blank:]]\+VIMSPELLVERSION[[:blank:]]\+\([[:digit:]]\+\)[[:blank:]]*$/\1/'`
VIMSUGVERSION=`grep '^[[:blank:]]*#define[[:blank:]]\+VIMSUGVERSION[[:blank:]]\+[[:digit:]]\+[[:blank:]]*$' src/spell.c | sed -e 's/^[[:blank:]]*#define[[:blank:]]\+VIMSUGVERSION[[:blank:]]\+\([[:digit:]]\+\)[[:blank:]]*$/\1/'`
if [ "$VIMSPELLVERSION.$VIMSUGVERSION" != "%vimspell_version" ]; then
  echo "FATAL: %%vimspell_version (%vimspell_version) does not match source ($VIMSPELLVERSION.$VIMSUGVERSION)"
  exit 1
fi
# }}}
# {{{ build section
%build
# SMP-incompatible
%define __nprocs 1
PLTHOME=%_libdir/plt2; export PLTHOME
QTDIR=%_libdir/qt3; export QTDIR
# {{{ minimal
%if_enabled minimal
%configure \
	--exec-prefix=/ \
	--with-features=tiny \
	--with-x=no \
	--enable-gui=no \
	--disable-gpm \
	--disable-rpath \
	--with-tlib=tinfo \
	--with-compiledby="%packager" \
	#

%make_build -C src clean all
%__mv src/vim vim-minimal
%endif
# }}}

common_opts="--with-features=huge \
	--disable-rpath \
	--enable-cscope \
	%{subst_enable gpm} \
	--enable-multibyte \
	--with-global-runtime=%vim_runtime_dir \
	--with-tlib=tinfo"

interp_opts="%{subst_enable perlinterp} \
	%{subst_enable pythoninterp} \
	%{subst_enable rubyinterp} \
	%{subst_enable tclinterp} \
	%{subst_enable mzschemeinterp}"

# {{{ full without GUI and interpreters
%configure \
	$common_opts \
	--with-features=big \
	--disable-perlinterp \
	--disable-pythoninterp \
	--disable-rubyinterp \
	--disable-tclinterp \
	--disable-mzschemeinterp \
	--with-x=no \
	--disable-xsmp \
	--enable-gui=no \
	--with-compiledby="%packager" \
	#
%make_build -C src clean all
%__mv src/vim vim-console
# }}}

# {{{ full without GUI
%configure \
	$common_opts \
	$interp_opts \
	--with-x=no \
	--enable-gui=no \
	--disable-xsmp \
	--with-compiledby="%packager" \
	#
%make_build -C src clean all
%__mv src/vim vim-enhanced
# }}}

# {{{ full version with GUI
%if_enabled gui_any
for gui in %{gui}; do
%configure \
	$common_opts \
	$interp_opts \
	--with-x=yes \
	--enable-gui="$gui" \
	--enable-multibyte \
	--enable-xim \
	--enable-fontset \
	--enable-xsmp \
	--with-compiledby="%packager" \
	#
%make_build -C src clean all
%__mv src/vim "vim-$gui"
done
%endif
# }}}
# STFU make install
touch src/vim
# }}}
# {{{ install section
%install
%__mkdir_p %buildroot{%_altdir,%_sysconfdir/{vim,rpm/macros.d},/bin,%_bindir,%_man1dir,%_datadir/vim/{ftdetect,langmap,langrc},%_customdocdir,%_usrsrc/vimspell}
# {{{2 make install
%make_install install DESTDIR=%buildroot -C src
%__rm -rf %buildroot%_mandir/ru

# Where is our baby?..
%__rm -f %buildroot%_bindir/vim

%if_enabled minimal
# Install the minimal version into the /bin
%__install -p -m755 vim-minimal %buildroot/bin/vi
%strip_executable -p -g %buildroot/bin/vi
%endif

# ... Here it is!
for ui in console enhanced %{gui}; do
	%__install -p -m755 "vim-$ui" "%buildroot%_bindir/vim-$ui"
	%strip_executable -p -g "%buildroot%_bindir/vim-$ui"
done
%if_enabled gui_any
for ui in %{gui}; do
	%__ln_s "vim-$ui" "%buildroot%_bindir/gvim-$ui"
done
%endif
# 2}}}
# {{{2 Set up links for minimal and gui versions
%if_enabled minimal
for i in ex rvi rview ; do
	%__ln_s -f vi "%buildroot/bin/$i"
done
%endif

%if_enabled gui_any
for i in evim eview gview gvim gvimdiff rgview rgvim ; do
	%__ln_s -f vim-X11 "%buildroot%_bindir/$i"
done
%endif

# 2}}}
# {{{2 Install documentation
%__ln_s -f ../../vim/doc %buildroot%_customdocdir/doc
# 2}}}

%__install -p -m644 %SOURCE7 %buildroot%_sysconfdir/vim/vimrc
%__install -p -m644 %SOURCE8 %buildroot%_sysconfdir/vim/gvimrc
%__install -p -m644 vimrc_hebrew %buildroot%_datadir/vim
# ALT-specific filetype
%__install -p -m644 %SOURCE100 %buildroot%_datadir/vim/ftdetect/00-altlinux.vim

pushd %buildroot%_datadir/vim/tools
    # i need to make a choice :(.
    %__subst 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
    %__subst 's,#!/bin/csh.*.*,#!/bin/sh,' vim132
    %__chmod a-x vimspell* ref*
popd

# {{{2 post-install cleanup
find %buildroot%_datadir/vim \( -name '*.info' -o -name 'README.txt' \) -print0 |
	xargs -r0 %__rm -f --

for i in autoload colors compiler ftplugin indent keymap lang macros plugin spell syntax tools tutor; do
    %__cp -f runtime/$i/README.txt README_$i.txt
done
%__cp -f official-patches/README README_patches.txt
# 2}}}

# {{{2 Create RPM macros and runtime dirs in buildroot
%__mkdir_p %buildroot%vim_runtime_dir
%if_enabled devel
%__cat <<EOF >%buildroot%_sysconfdir/rpm/macros.d/vim
# Global runtime
%%vim_dir	%_datadir/vim

# Spell files are in vim_dir
%%vim_spell_dir	%%vim_dir/spell
%%vim_spell_source_dir	%_usrsrc/vimspell
%%mkvimspell(L:a)	%%{!-L:%%{!-a:%%{error:mkvimspell: neither language nor -a is specified} }}%%{-L:env LANG="%%{-L*}"} %_bindir/vim-console -E -X -N -n -i NONE -u NONE -U NONE -c 'mkspell! %%{-a:-ascii} %%*' -c q
# VIMSPELLVERSION.VIMSUGVERSION
%%vimspell_version	%vimspell_version

%%vim_runtime_dir	%%vim_dir/vimfiles
# Additional dirs in global runtime
EOF
%endif
for d in after autoload colors compiler doc ftdetect ftplugin indent keymap lang plugin print syntax ; do
    %__mkdir_p %buildroot%vim_runtime_dir/$d
%if_enabled devel
    %__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim
%%vim_${d}_dir	%%vim_runtime_dir/$d
EOF
%endif
done
%if_enabled devel
%__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim

# "after" dirs in global runtime
EOF
%endif
for d in compiler ftplugin indent plugin syntax ; do
    %__mkdir_p %buildroot%vim_runtime_dir/after/$d
%if_enabled devel
    %__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim
%%vim_after_${d}_dir	%%vim_after_dir/$d
EOF
%endif
done
%if_enabled devel
%__cat <<EOF >>%buildroot%_sysconfdir/rpm/macros.d/vim

%%vim_script_url() http://www.vim.org/scripts/script.php?script_id=%%1%%nil

# post-install commands
%%_update_vimhelp_bin	%_bindir/update-vimhelp
%%update_vimhelp	[ "\$1" = 1 -a -x %%_update_vimhelp_bin ] && %%_update_vimhelp_bin ||:
%%clean_vimhelp		[ -x %%_update_vimhelp_bin ] && %%_update_vimhelp_bin ||:
EOF
%endif
# 2}}}
# {{{2 update-vimhelp script
%__cat <<EOF >%buildroot%_bindir/update-vimhelp
#! /bin/sh

VIM=%_bindir/vim
DOCDIR=

[ -x "\$VIM" ] || exit 1

if [ -n "\$1" ]; then
  if [ -d "\$1" -a -w "\$1" ]; then
    DOCDIR="\$1"
  fi
else
  if [ -d %vim_runtime_dir/doc -a -w %vim_runtime_dir/doc ]; then
    DOCDIR="%vim_runtime_dir/doc"
  elif [ -d "\$HOME/.vim/doc" -a -w "\$HOME/.vim/doc" ]; then
    DOCDIR="\$HOME/.vim/doc"
  fi
fi

[ -n "\$DOCDIR" ] || exit 1

echo ":helptags \$DOCDIR" | \$VIM -E -s -X -N -n -i NONE -u NONE -U NONE ||:
EOF

%__chmod 755 %buildroot%_bindir/update-vimhelp
# 2}}}
# {{{2 spell-source
%__cp -a runtime/spell/[a-z][a-z] %buildroot%_usrsrc/vimspell
%__cp -a runtime/spell/[a-z][a-z].vim %buildroot%_usrsrc/vimspell
%__cp -a runtime/spell/*.aap %buildroot%_usrsrc/vimspell
%__cp -a runtime/spell/fixdup %buildroot%_usrsrc/vimspell
# 2}}}
# {{{2 Install icons
%if_enabled gui_any
%__install -p -m644 -D runtime/vim16x16.png %buildroot%_miconsdir/gvim.png
%__install -p -m644 -D runtime/vim32x32.png %buildroot%_iconsdir/gvim.png
%__install -p -m644 -D runtime/vim48x48.png %buildroot%_liconsdir/gvim.png
%endif
# 2}}}
# {{{2 Install menu
%if_enabled gui_any
%__mkdir_p %buildroot%_menudir
%__install -p -m644 -D %SOURCE6 %buildroot%_datadir/applications/gvim.desktop
%Md2m \
	%name-X11 \
	"Applications/Editors" \
	%buildroot%_datadir/applications/gvim.desktop \
	%buildroot%_menudir/vim-X11
%endif
# 2}}}
# {{{2 Install alternatives files
%__install -p -m644 %SOURCE9  %buildroot%_altdir/vim-enhanced
%__install -p -m644 %SOURCE10  %buildroot%_altdir/vim-console
%if_enabled gui_any
%__install -p -m644 %SOURCE11 %buildroot%_altdir/vim-X11

 %if_enabled gui_athena
%__install -p -m644 %SOURCE12 %buildroot%_altdir/vim-X11-athena
 %endif
 %if_enabled gui_gnome2
%__install -p -m644 %SOURCE17 %buildroot%_altdir/vim-X11-gnome2
 %endif
 %if_enabled gui_gtk
%__install -p -m644 %SOURCE13 %buildroot%_altdir/vim-X11-gtk
 %endif
 %if_enabled gui_gtk2
%__install -p -m644 %SOURCE14 %buildroot%_altdir/vim-X11-gtk2
 %endif
 %if_enabled gui_motif
%__install -p -m644 %SOURCE15 %buildroot%_altdir/vim-X11-motif
 %endif
 %if_enabled gui_neXtaw
%__install -p -m644 %SOURCE16 %buildroot%_altdir/vim-X11-neXtaw
 %endif
%endif
# 2}}}
# {{{2 Language-specific parts
%__rm -f vim.lang
%find_lang --with-man --append --output vim.lang /vim /ex /rview /rvim /view /vimdiff /vimtutor /xxd
%__rm -f vim-X11.lang
%find_lang --with-man --append --output vim-X11.lang /evim /eview /gvim /gview /gvimdiff /rgvim /rgview
%__install -p -m644 runtime/langrc/* %buildroot%_datadir/vim/langrc
%__install -p -m644 runtime/langmap/*.vim %buildroot%_datadir/vim/langmap
# 2}}}
# }}}

# {{{ triggers
%if_enabled minimal
%triggerpostun minimal -- vim-minimal < 6.0.118
[ $2 -gt 0 ] || exit 0
[ -e %_bindir/vi -a -h %_bindir/vi ] && %__rm -f %_bindir/vi ||:
%endif

%triggerpostun enhanced -- vim-enhanced < 3:6.1.82-alt7
%register_alternatives vim-enhanced -- vim

%if_enabled gui_any
%triggerpostun X11 -- vim-X11 < 3:6.1.82-alt7, vim-enhanced < 3:6.1.82-alt7
%register_alternatives vim-X11 -- vim
%update_menus

%triggerpostun X11 -- vim-X11 < 3:6.1.126-alt8
%register_alternatives vim-X11 -- vim

%triggerpostun X11 -- vim-common <= 4:6.2.021-alt2
%unregister_alternatives_always vim
%register_alternatives vim-X11 -- vim
%endif

%if_enabled gui_gtk
%triggerpostun X11-gtk -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-gtk -- vim-X11
%endif

%if_enabled gui_gtk2
%triggerpostun X11-gtk2 -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-gtk2 -- vim-X11
%endif

%if_enabled gui_motif
%triggerpostun X11-motif -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-motif -- vim-X11
%endif

%if_enabled gui_athena
%triggerpostun X11-athena -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-athena -- vim-X11
%endif

%if_enabled gui_neXtaw
%triggerpostun X11-neXtaw -- vim-X11 <= 4:6.2.021-alt2
%register_alternatives vim-X11-neXtaw -- vim-X11
%endif

%triggerpostun enhanced -- vim-common <= 4:6.2.021-alt2
%unregister_alternatives_always vim
%register_alternatives vim-enhanced -- vim

%triggerpostun common -- vim-common <= 4:6.2.135-alt2
%clean_vimhelp
# }}}
# {{{ pre/post install scripts
%pre common
if [ -L "%_datadir/vim/doc" ]; then
  d=$(realpath "%_datadir/vim/doc")
  %__rm -f -- "%_datadir/vim/doc"
  %__mv -f -- "$d" "%_datadir/vim/doc"
fi

%post common
%update_vimhelp

%postun common
%clean_vimhelp

# menus and alternatives
%post enhanced
%register_alternatives vim-enhanced -- vim

%preun enhanced
%unregister_alternatives vim-enhanced

%post console
%register_alternatives vim-console -- vim

%preun console
%unregister_alternatives vim-console

%if_enabled gui_any
%post X11
%update_menus
%register_alternatives vim-X11 -- vim

%preun X11
%clean_menus
%unregister_alternatives vim-X11
%endif

%if_enabled gui_gnome2
%post X11-gnome2
%register_alternatives vim-X11-gnome2 -- vim-X11

%preun X11-gnome2
%unregister_alternatives vim-X11-gnome2
%endif

%if_enabled gui_gtk
%post X11-gtk
%register_alternatives vim-X11-gtk -- vim-X11

%preun X11-gtk
%unregister_alternatives vim-X11-gtk
%endif

%if_enabled gui_gtk2
%post X11-gtk2
%register_alternatives vim-X11-gtk2 -- vim-X11

%preun X11-gtk2
%unregister_alternatives vim-X11-gtk2
%endif

%if_enabled gui_motif
%post X11-motif
%register_alternatives vim-X11-motif -- vim-X11

%preun X11-motif
%unregister_alternatives vim-X11-motif
%endif

%if_enabled gui_athena
%post X11-athena
%register_alternatives vim-X11-athena -- vim-X11

%preun X11-athena
%unregister_alternatives vim-X11-athena
%endif

%if_enabled gui_neXtaw
%post X11-neXtaw
%register_alternatives vim-X11-neXtaw -- vim-X11

%preun X11-neXtaw
%unregister_alternatives vim-X11-neXtaw
%endif
# }}}

# {{{ vim-common files
%files common -f vim.lang
# Note to self: NEVER try to use %%doc in subpackages
%doc README*.txt runtime/gvimrc_example.vim
%doc runtime/termcap runtime/vimrc_example.vim vimrc_hebrew
%doc README.ALT-ru_RU.KOI8-R

%dir %_sysconfdir/vim
%config(noreplace) %_sysconfdir/vim/vimrc
%config(noreplace) %_sysconfdir/vim/gvimrc
# {{{2 $VIMRUNTIME
%dir %_datadir/vim
%_datadir/vim/autoload
%_datadir/vim/colors
%_datadir/vim/compiler
%dir %_datadir/vim/doc
%doc %_datadir/vim/doc/*.txt
%doc %_datadir/vim/doc/tags
%_datadir/vim/ftdetect
%_datadir/vim/ftplugin
%_datadir/vim/indent
%_datadir/vim/keymap
%_datadir/vim/lang
%_datadir/vim/langmap
%_datadir/vim/langrc
%_datadir/vim/macros
%_datadir/vim/plugin
%_datadir/vim/print
%dir %_datadir/vim/spell
%_datadir/vim/spell/cleanadd.vim
%_datadir/vim/syntax
%_datadir/vim/tools
%_datadir/vim/vimfiles
%_datadir/vim/*.vim
%_datadir/vim/vimrc_hebrew
# 2}}}
%_bindir/ex
%_bindir/view
%_bindir/rvim
%_bindir/rview
%_bindir/vimdiff
%_bindir/xxd
%_bindir/update-vimhelp
%_man1dir/vim.1*
%_man1dir/ex.1*
%_man1dir/rview.1*
%_man1dir/rvim.1*
%_man1dir/view.1*
%_man1dir/vimdiff.1*
%_man1dir/vimtutor.1*
%_man1dir/xxd.1*
# }}}
# {{{ vimtutor
%files -n vimtutor
%_bindir/vimtutor
%_datadir/vim/tutor
# }}}
# {{{ vim-spell files
%files spell-source
%dir %_usrsrc/vimspell
%_usrsrc/vimspell/[a-z][a-z]
%_usrsrc/vimspell/[a-z][a-z].vim
%_usrsrc/vimspell/*.aap
%_usrsrc/vimspell/fixdup
# }}}
# {{{ vim-devel files
%if_enabled devel
%files devel
%_sysconfdir/rpm/macros.d/vim
%endif
# }}}
# {{{ vim-minimal files
%if_enabled minimal
%files minimal
/bin/*
%endif
# }}}
# {{{ vim-console files
%files console
%_altdir/vim-console
%_bindir/vim-console
# }}}
# {{{ vim-enhanced files
%files enhanced
%_altdir/vim-enhanced
%_bindir/vim-enhanced
# }}}
# {{{ vim-X11 files
%if_enabled gui_any
%files X11 -f vim-X11.lang
%_altdir/vim-X11
%_bindir/evim
%_bindir/eview
%_bindir/gvim
%_bindir/gview
%_bindir/gvimdiff
%_bindir/rgvim
%_bindir/rgview
%_iconsdir/gvim.png
%_miconsdir/gvim.png
%_liconsdir/gvim.png
%_menudir/vim-X11
%_datadir/applications/gvim.desktop
%_man1dir/evim.1*
%_man1dir/eview.1*
%_man1dir/gvim.1*
%_man1dir/gview.1*
%_man1dir/gvimdiff.1*
%_man1dir/rgvim.1*
%_man1dir/rgview.1*
%endif
# }}}
# {{{ vim-X11-athena files
%if_enabled gui_athena
%files X11-athena
%_altdir/vim-X11-athena
%_bindir/vim-athena
%_bindir/gvim-athena
%endif
# }}}
# {{{ vim-X11-gnome2 files
%if_enabled gui_gnome2
%files X11-gnome2
%_altdir/vim-X11-gnome2
%_bindir/vim-gnome2
%_bindir/gvim-gnome2
%endif
# }}}
# {{{ vim-X11-gtk files
%if_enabled gui_gtk
%files X11-gtk
%_altdir/vim-X11-gtk
%_bindir/vim-gtk
%_bindir/gvim-gtk
%endif
# }}}
# {{{ vim-X11-gtk2 files
%if_enabled gui_gtk2
%files X11-gtk2
%_altdir/vim-X11-gtk2
%_bindir/vim-gtk2
%_bindir/gvim-gtk2
%endif
# }}}
# {{{ vim-X11-motif files
%if_enabled gui_motif
%files X11-motif
%_altdir/vim-X11-motif
%_bindir/vim-motif
%_bindir/gvim-motif
%endif
# }}}
# {{{ vim-X11-neXtaw files
%if_enabled gui_neXtaw
%files X11-neXtaw
%_altdir/vim-X11-neXtaw
%_bindir/vim-neXtaw
%_bindir/gvim-neXtaw
%endif
# }}}

# {{{ changelog
%changelog
* Tue Sep 12 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.099-alt0.M24.1
- Backported to 2.4 Master
 + Do not disable any GUIs

* Mon Sep 11 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.099-alt1
- Official patches (099), see README_patches.txt for more info
- Runtime files updated from ftp://ftp.vim.org/pub/vim/runtime/ (20060910)
- Build -console with "big" features instead of "huge"
- Disabled GUIs:
 + athena
 + gtk1
 + motif

* Sat Sep 02 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.081-alt1
- Official patches (081), see README_patches.txt for more info
- ALT-specific filetypes moved to ftdetect/00-altlinux.vim (also
  call ftdetect/*.vim before falling back to "conf" filetype):
 + mutt tempfile
 + postfix aliases
 + bind configuration and zones
 + apache/apache2 configuration
 + tcb's shadow
- Removed patches:
 + alt-mutt-tempfile-filetype, alt-named-filetype - moved to
   ftdetect/00-altlinux.vim
 + alt-perl56 - obsolete
 + alt-tmpdir - obsolete
 + man-path - obsolete
 + langfont, vim_gvimrc, vim_vimrc - already in /etc/vim/*rc
- Runtime files updated from ftp://ftp.vim.org/pub/vim/runtime/ (20060824)
- Updated Provides/Obsoletes for bundled plugins
- Do not edit feature.h, add -D... to CFLAGS
- Removed obsolete tcl/python/gcc h4x0r substs
- Versioned tcl and python builddeps

* Sun Aug 13 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.051-alt1
- Official patches (051)
 + "%%!" at start of 'statusline' didn't work
 + Perl: changing a line in a non-current buffer may not work
 + (extra) Win32: MSVC 2005 compiler warnings for OLE version
 + the matchparen plugin didn't handle parens in single quotes
 + the exit status of the configure script can be wrong
 + the gzip plugin can't handle file names that have a paren
 + some Tcl scripts are not recognized
 + can't properly close a buffer through the NetBeans interface
 + (after 7.0.44) compile and/or run problem with Perl interface

* Wed Jul 26 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.042-alt1
- Official patches (042)
 + mouse selection with "z=" and inputlist() gets wrong entry
 + cursor([1, 2]) failed, required third item in the list
 + crash or hang when pasting a block in Insert mode

* Sat Jul 22 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.039-alt1
- Official patches (039)
 + can't compile with small features and syntax HL
 + crash when resizing Vim window when a line doesn't fit
 + complete() can be used from expr. mapping after inserting text
 + third argument for inputdialog() doesn't work in the console
- Runtime files updated from ftp://ftp.vim.org/pub/vim/runtime/ (20060716)

* Thu Jun 29 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.035-alt1
- Official patches (035)
 + VMS: plugins are not loaded on startup
 + crash for "VjA789" and repeating
 + GUI: crash when using 'mousefocus'
 + crash when using "\\[" and "\\]" in 'errorformat
 + Ruby: buffer.append() could append to the wrong buffer
 + crash after Insert mode completion without matches
 + it is possible to set arbitrary v: variables
 + crash when deleting an item from a:000
 + Unix: when using libcall() and old error may be shown
 + (extra) Win32: hang on exit when compiled with SNiFF+
 + (extra) OS/2: compilation problem
 + cursor position may be wrong when using getchar()
 + the ":compiler" command can't be used in a FileChangedRO event
 + after deleting a buffer its Select mode mappings remain
 + (extra, after 7.0.027) missing semicolon
 + pasting after autoindent removes the indent
 + repeating completion was wrong after typing text or using BS
 + repeating Insert mode completion doesn't work properly
- Runtime files updated from ftp://ftp.vim.org/pub/vim/runtime/ (20060627)
- Removed vi.1 and rvi.1 manpages (conflicts with tr00 vee klonez)
- Added gvim-UI -> vim-UI links for all versions with GUI

* Sun May 14 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.017-alt1
- Official patches (017)
 + can't compile with eval feature without folding feature
 + matchparen plugin changed cursor column in Insert mode
 + Insert mode completion: CTRL-L jumped back to original text
 + Motif: doesn't compile with Motif 1.2 and earlier
 + Athena: type casts for lvalues
 + recognize encodings "mac-roman", "dec-mcs" and "hp-roman8"
 + Motif: doesn't link with Motif 1.2 and earlier
- Removed russian man's (conflicts with man-pages-ru)

* Thu May 11 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.010-alt0.M24.2
- Oops.  Removed versioned deps on menu

* Wed May 10 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.010-alt0.M24.1
- Backported to 2.4 Master
 + disabled GNOME (don't want to mess with builddeps)
 + disabled Python (brain-damaged policy, can't install python-devel)

* Wed May 10 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.010-alt1
- Official patches (010)
 + C omni complete has problem with %% and # in tags file path
 + GUI: click in tab pages label may warp mouse pointer
 + Compiler warning for debug_saved used before set
 + (extra) Win32: uninstall didn't delete spell and autoload dirs
 + Mac: "make shadow" didn't link infplist.xml
 + AIX: compiling failed for message.c
 + Can't call a function that uses both <SID> and {expr}
 + ml_get errors when 'spell' is set
 + spellfile plugin required typing login name and password

* Tue May 09 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0.001-alt1
- Official patches (001)
 + 'spellsuggest' could not be added to

* Sun May 07 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt1
- [7.0]

* Mon May 01 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt0.1.g
- [7.0g]
- Set 'named' filetype for /var/lib/bind/etc/* (closes: #9496)

* Tue Apr 25 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt0.1.f
- [7.0f]

* Mon Apr 17 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt0.1.e
- [7.0e]

* Wed Apr 12 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt0.1.d
- [7.0d]

* Wed Mar 29 2006 Sir Raorn <raorn@altlinux.ru> 4:7.0-alt0.1.c01.cvs20060327
- CVS snapshot 20060327 (7.0c01)
- GNOME2 GUI support
- New alternatives weights:
 + vim:
  - X11:      50
  - enhanced: 40
  - console:  35
 + vim-X11:
  - gtk2:   50
  - gtk:    40
  - motif:  30
  - neXtaw: 25
  - athena: 20
  - gnome2: 10
- Added desktop file to vim-X11 package
- Removed menu-file from -X11 (menu >= 2.1.25-alt4 can use desktop files)
- Moved vimtutor to separate package
- New package -spell-source - Vim patches for creating dictionaries
- vim-common now provides vimspell-interface with internal vimspell version
- Changed Requires to Conflicts in vim-devel to vim-common
- Updated rpm macros:
 + Added %%vim_spell_dir
 + Added %%vim_spell_source_dir
 + Added %%mkvispell
 + Added %%vimspell_version
 + Removed %%vim_bitmaps_dir
- README.ALT updated:
 + /colors recomended type changed to "colorscheme"
 + Added note about buldrequres to vim-console/enhanced
 + Documented new macros and vim-spell-?? packaging
- Fix %%_*iconsdir mess
- Sanitized filelist in %%_datadir/vim
- Added more icons to vim-X11 package
- Buildreqs updated for Xorg7

* Mon Feb 20 2006 Sir Raorn <raorn@altlinux.ru> 4:6.4.007-alt1
- Official patches (007)
 + truncating message may write before buffer
 + ":argedit", "argdel" and ":argadd" used count argument
 + Unix: crash when expanding backticks
- Buildreqs updated for Xorg7

* Fri Dec 02 2005 Sir Raorn <raorn@altlinux.ru> 4:6.4.004-alt1
- Official patches (004)
 + (extra) Win32: can't compile the global IME code
 + Unix: may change owner of wrong file in rare cases
 + (after 6.4.002) build problem on non-Unix system
 + "go" doesn't work correctly when 'virtualedit' is set

* Tue Oct 18 2005 Sir Raorn <raorn@altlinux.ru> 4:6.4-alt1
- [6.4] (bugfix release)

* Sat Jul 30 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.086-alt1
- Official patches (086)
 + syntax highlighting wrong after unloading another buffer
 + crash when using Cscope interface with very long result
 + (extra) VMS: character after ESC not handled correctly
 + (extra, after 6.3.077) VMS: performance issue
 + crash after executing a command in the command-line window
 + (extra) Win32: edit fails when 'enc' is utf-8 and Chinese cp
 + glob() may execute shell command unexpectedly
 + (after 6.3.081) more generic solution to avoid shell commands
 + VMS: add function keys to vt320 termcap entry
 + (extra) Cygwin: update src makefile and add src/po makefile
 + crash in syntax highlighting
 + (extra) Russian translation has a few mistakes

* Wed May 25 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.074-alt1
- Official patches (074)
 + when converting text with illegal characters Vim may crash
 + crash when 'number' set and with a vertical split
 + CTRL-X message sticks after error for completion
 + crash for substitute message when using UTF-8 and Chinese
 + Win32 GUI: display errors when scrolling up/down
 + with 'insertmode' CTRL-V after Select mode doesn't work

* Mon Apr 04 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.068-alt1.1
- Fixed vim-console post-sripts

* Wed Mar 30 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.068-alt1
- Official patches (068)
- Fixed vim-console alternatives

* Wed Mar 23 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.067-alt1
- Official patches (067)
- New package -console - full version without interpreters (closes: #6270)

* Mon Mar 14 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.064-alt1.1
- Really removed summary/description translations

* Sun Mar 13 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.064-alt1
- Official patches (064)
- Rebuilt with python 2.4
- Removed summary and description translations (use specspo :-)

* Sat Jan 15 2005 Sir Raorn <raorn@altlinux.ru> 4:6.3.057-alt1
- Official patches (057)

* Thu Dec 09 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.045-alt1
- Official patches (045)

* Tue Dec 07 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.042-alt1
- Official patches (042)

* Thu Nov 18 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.031-alt1.1
- Removed libelf from build requires

* Wed Nov 17 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.031-alt1
- Official patches (031)
- Added FAQ in vimhelp format (closes: #5515)

* Tue Oct 05 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.028-alt2
- Enabled python, dynamic link

* Sun Sep 19 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.028-alt1
- Official patches (028)
- Do not put online docs in %%_docdir (closes: #5226)
- Keep "tags" file as-is

* Mon Sep 06 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.025-alt1
- Official patches (025)
- Updated spec syntax from conectiva (closes: #5015) with some changes:
  + Added ALT-specific macros
  + Escaped macros are not hilited
  + Escaped environment variables are not hilited
  + Recognize multiline strings
- Default font for gtk+2 version set to "Fixed 10" (closes: #5063)

* Mon Aug 30 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.019-alt1
- Official patches (019)
- Converted alternatives to new format
- Updates requires

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.015-alt1
- Official patches (015)
- Always update help tags - do not test help files presence

* Mon Jul 12 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.013-alt1
- Official patches (013)

* Thu Jun 24 2004 Sir Raorn <raorn@altlinux.ru> 4:6.3.007-alt1
- [6.3]
- Official patches (007)
- MzVim (0.560)
- Removed patches (merged upstream):
  + alt-spec-filetype-fixes.patch
  + alt-cp1251-tutor.patch
  + ruvim
- Fixed requires (mktemp >= 1:1.3.1 should be in vim-common)
- Changed global runtime dir from %%_sysconfdir/vim to
  %%_datadir/vim/vimfiles (this does not affect $VIMRUNTIME)
- Enabled +xterm_save
- Removed std_c syntax (now in vim-plugin-std_c-syntax)
- Removed vim-ruby plugin (now in vim-plugin-vimruby)
- Added README.ALT

* Mon Jun 07 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.532-alt1.1
- Fix gvim's menu entry (re-closes #3979)
- Disabled pythoninterp (*evil grin*)

* Thu May 06 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.532-alt1
- Official patches (532)
- MzVim (0.540)
- Always apply MzVim patch (scheme ftplugin and syntax updates)

* Tue Apr 27 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.506-alt1
- Official patches (506)
- MzVim temporary disabled due to glibc 2.3 migration
- Patch16 removed (fixed in upstream)

* Thu Apr 22 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.490-alt1
- Official patches (490)
- MzVim (0.530)
- eview, evim, gview, gvim, gvimdiff, rgview and rgvim are now
  symlinks to vim-X11, /usr/X11R6/bin/* removed (closes #3979)

* Fri Apr 09 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.461-alt1
- Official patches (461)
- MzVim (0.520)

* Sun Apr 04 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.442-alt1
- Official patches (442)
- Enabled perlinterp (due to official patch 233)

* Thu Mar 11 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.339-alt1
- Official patches (339)
- MzVim disabled (out of sync with upstream)

* Fri Mar 05 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.318-alt1
- Official patches (318)
- MzVim 0.201

* Wed Mar 03 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.311-alt1
- Official patches (311)
- MzVim 0.200 (disabled for now)

* Mon Feb 09 2004 Sir Raorn <raorn@altlinux.ru> 4:6.2.246-alt1
- Official patches (246)
- Fixed spec filetype plugin
- Added MzScheme support (Daedalus build only)

* Fri Nov 21 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.154-alt2
- Added russian translations (thanx to drF_ckoff)

* Mon Nov 17 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.154-alt1
- Official patches (154)

* Mon Nov 10 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.144-alt2
- Rebuild with openmotif (vim-X11-motif)

* Sun Nov 02 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.144-alt1
- Official patches (144)
- Fixed macros highlight in spec syntax
- %%update_vimhelp/%%clean_vimhelp reviewed:
  update-vimhelp is started:
  + after new package installation (not upgrade)
  + after old package removal (upgrade or remove)
- Updated patches:
  + alt-perl56 (due to official patch 139)

* Tue Oct 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.135-alt2
- vim-ruby's doc already in syntax.txt

* Mon Oct 27 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.135-alt1
- Official patches (135)
- Updated ruby compiler/ftplugin/indent/syntax (tarball from
  http://vim-ruby.rubyforge.org was repacked by raorn - DOS-like
  EOLs and +x attrs on scripts)
- Updated spec syntax
- enable/disable'd gpm support

* Mon Oct 13 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.117-alt1
- Official patches (117)
- Bring back <S-Insert> mappings to system gvimrc (recloses #2283)
  mswin.vim users should unmap it in their .gvimrc
- Removed patches:
  + alt-cp1251-support (merged upstream)
- enable/disable logic for gui variants (still always build minimal and enhanced)
- Treat %%global as %%define in spec syntax

* Tue Sep 30 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.106-alt1
- Official patches (106)
- Fixed typo in cp1251-tutor patch
- Recognize cp1251 encoding (closes #3077)
- Mappings to <S-Insert> removed from system gvimrc due to
  conflict with mswin.vim (closes #2283)

* Sun Sep 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.098-alt1
- Official patches (098)
- More updates to spec syntax
- Fix tutor in CP1251 locale (closes #0001810)

* Sat Sep 06 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.072-alt1
- Official patches (072)
- Fixed triggers
- Updates spec syntax

* Tue Aug 05 2003 Alexander Bokovoy <ab@altlinux.ru> 4:6.2.021-alt2
- Rebuild against Ruby 1.8.0

* Mon Jul 09 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.021-alt1
- Official patches (021)
- Removed patches (merged upstream):
  + alt-WANT_X11
- More README's to %%doc
- Cleanup $VIMRUNTIME (removed unneeded README's and Amiga icons)
- Removed all plugins (except std_c, script #234)
- Added update-vimhelp script to update help tags.
  Works both, for user updates ~/.vim/doc, for superuser
  updates $VIMRUNTIME/doc
- Reversed dependencies for common -> {enhanced,X11 -> X11-gui}
  to be sure that %%_bindir/vim exists in common's postinstall
  script (needed for update_vimhelp)
- devel subpackage
- Set guifont to "Andale Mono 11" for gtk+2 version (voins)
- Detect right filetype for mutt >= 1.4i temporary files

* Sun Jun 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.014-alt2
- Added some fold markers to specfile ;-)
- XSMP enabled (once again!)
- Do not blindly copy runtime/doc to docdir, but use make
  install'ed files
- Added some useful plugins from http://vim.sf.net:
  + Align (script #294)
  + bufexplorer (script #42)
  + cvcommand (script #90)
  + genutils.vim (script #197)
  + matchit (script #39)
  + multvals.vim (script #171)
  + SearchComplete (script #147)
  + selectbuf (script #107)
  + showmarks (script #152)
  + std_c (script #234) (add "let c_use_stdc=1" in your .vimrc to enable)
  + taglist (script #273)
  + winmanager (script #95)

* Fri Jun 06 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.014-alt1
- Official patches (014)
- XSMP temporary disabled

* Wed Jun 04 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2.011-alt1
- [6.2]
- Official patches (011)
- Updated rpmspec syntax
- Enabled XSMP (autodetection was b0rken in upstream)

* Tue May 27 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.4.f
- [6.2f]

* Mon May 19 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.3.e
- [6.2e]
- Force cscope (it is enabled in unix+feat_big, but who knows?)

* Thu May 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.2.c
- [6.2c]

* Mon Apr 28 2003 Sir Raorn <raorn@altlinux.ru> 4:6.2-alt0.1.b
- [6.2b]
- BuildRequires update
- GTK+2 target
- Disabled perlinterp (threaded perl disabled in upstream)
- vim-minimal provides /bin/vi

* Sat Apr 26 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.474-alt18.1
- Fix uk translation

* Fri Apr 25 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.474-alt18
- Official-patches (474)
- Removed version from vim-X11-gui Requires (looks like it confuses apt)
- Reenabled libacl in vim-minimal (suggested by ab)
- Changed "set modelines=0" to "set nomodeline" in system vimrc
  Removed "set modelines=0" from system gvimrc (already disabled in vimrc)
- Fixed (and applied ;-) Patch13

* Thu Apr 10 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt17.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt17
- PreReq fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.280-alt16
- moved to new alternatives scheme
- warning to maintainer: added missing PreReq on update-alternatives

* Wed Jan 08 2003 Dmitry V. Levin <ldv@altlinux.org> 4:6.1.280-alt15
- Disabled modelines again.
- Reenabled perlinterp.
- Fixed interpackage dependencies again.
- Avoid autodependencies for files in /usr/share/vim/.

* Wed Jan 08 2003 Sir Raorn <raorn@altlinux.ru> 4:6.1.280-alt14
- Official patches (280)
- modeline's are back due to official patch 265

* Sat Dec 21 2002 Sir Raorn <raorn@altlinux.ru> 4:6.1.263-alt13
- Official patches (263)
- Fix vim-X11's obsoletes
- Remove libacl from vim-minimal's requires (closes #0001586)
- All interp's are now configurable via rpmbuild --enable/--disable
- Fixed provides for alternatives
- Buildrequires updated (honor --enable/--disable args to rpmbuld)

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 4:6.1.178-alt12
- temporary removed perlinterp (ldv request)
- disable modelines
- remove deps on csh
- fix tmpdir creation
- remove deps on ispell

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.178-alt11
- Rebuilt with perl-5.8.

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3:6.1.178-alt10
- rebuilt with tcl 8.4

* Tue Sep 17 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.178-alt9
- Official patches (178)
- Fixed build with new rpm (thanx to inger)
- System-wide configs are back again ("light" version, thanx to SA)
  Now located in /etc/vim/*vimrc and made %%config(noreplace)
- All %%__perl's replaced with %%__subst's
- Added (experimental) ru_RU.UTF-8 langrc

* Mon Sep 09 2002 Sir Raorn <raorn@altlinux.ru> 3:6.1.174-alt8
- Official patches (174)
- Fixed %%preun X11 script
  Fixed %%triggerpostun X11 script (closes #0001073)
- neXtaw GUI support
- Build all vesions of GUI (gtk+, motif, athena, neXtaw)
- Built with tcl and ruby (closes #0000395)
- Removed default g?vimrc from $VIMRUNTIME
  (they're still available as g?vimrc_example.vim)
- Fixed .m-files sysntax autodetection (closes #0000702)
- Spec cleanup

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt7
- Fixed %%triggerpostun scripts again.

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3:6.1.82-alt6
- Linked with libtinfo.
- Updated buildrequires and interpackage dependencies.
- Fixed %%post/%%preun/%%postun/%%triggerpostun scripts.

* Mon Jun  3 2002 SA <sa@altlinux.ru> 6.1.82-alt5/3
- pathces
- removed triggerpostun
- removed vim from files section (will be a link, produced by alternatives)

* Mon Mar 25 2002 SA <sa@altlinux.ru> 6.1.0-alt5/3
- new release
- removed clipboard patch (use $ vim -X instead)
- evim included in distribution (practically useless thing...)

* Mon Mar 11 2002 SA <sa@altlinux.ru> 6.1b
- new pre-release 6.1b

* Wed Feb 27 2002 SA <sa@altlinux.ru> 6.1a.008
- new pre-release

* Thu Jan  3 2002 SA <sa@altlinux.ru> 6.0.101-alt3
- triggerpostun

* Sun Dec 23 2001 SA <sa@altlinux.ru> 6.0.101-alt2
- patchlevel 101
- incorporated many ideas by Alexey Morozov <morozov@novosoft.ru>
  (the most important are treating official patches as 'source' and
  use of 'alternatives')
- gui font loading is now based on $LANG (new directory
  runtime/langrc is introduced for this).
- changed numbering of package
- removed vi from /usr/bin, since we have it in /bin anyway

* Fri Nov 30 2001 SA <sa@altlinux.ru> 6.0-alt1.93
- patchlevel 93

* Sun Oct 28 2001 SA <sa@altlinux.ru> 6.0-alt1.26
- patchlevel 26

* Wed Sep 19 2001 SA <sa@altlinux.ru> 6.0-alt0.8.aw
- 6.0aw

* Tue Sep 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.8.au
- 6.0au

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.7.as
- 6.0as

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.ar
- 6.0ar

* Mon Aug 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.6.aq
- 6.0aq
- Rebuilt with new perl.

* Tue Jul  3 2001 SA <sa@altlinux.ru> 6.0-alt0.5.am
- 6.0am
- removed unnecessary patches

* Tue Jun 16 2001 SA <sa@altlinux.ru> 6.0-alt0.4.ah
- Fixed slow startup of /usr/bin/vim from X11 package when
  run from remote xterm or if $DISPLAY is broken:
  1. FEAT_XCLIPBOARD (used in terminal vim) is switched off
  (in feature.h)
  2. 'title' and 'icon' features are switched off in vimrc and
  switched on back in gvimrc.
- spec.vim fixed again

* Sat Jun 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.3.ah
- Fixed errors in %%post/%%preun introduced in alt0.1.ah.
- Specfile cleanup again (policy enforcement).

* Sat Jun 9 2001 SA <sermar@mail.ru> 6.0-alt0.2ah
- fixed langmap call in vimrc
- removed link to /usr/bin/view
- spec-syntax changed to highlight ALT macros

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 6.0-alt0.1.ah
- 6.0ah
- Changed release scheme; set serial to enable upgrading.
- Minor specfile cleanup (hope nothing have been broken).
- Regenerated spec-mode-update patch (requires checking).
- Recompressed sources and pacthes.

* Wed May 9 2001 SA <sermar@mail.ru>
- 6.0ae
- removed obsolete patches and patches that changed run-time options by
  changing source (system-wide vimrc is a better place)
- changed installation procedure: now it uses VIM Makefile 'install' target
- 'X11' (==gvim) if installed will be symlinked to {vi,vim, etc...}, so user
  will not need 'vim-enhanced' to use terminal-based VIM. 'enhanced' and 'X11'
  are made 'conflicting'

* Sat Dec 23 2000 AEN <aen@logic.ru>
- adopted for RE
- 6.0q
- perl include path fixed

* Wed Dec 13 2000 DindinX <odin@mandrakesoft.com> 6.0-0.07mdk
- 6.0p

* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 6.0-0.06mdk
- 6.0o

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.05mdk
- really set CFLAGS to RPM_OPT_FLAGS (should make Dadou happier)
  (thanks to Guillaume)

* Mon Nov 27 2000 DindinX <odin@mandrakesoft.com> 6.0-0.04mdk
- fix ./configure call (--enable-max-feature is now --with-features=huge)
- include some fix in spec.vim from Geoffrey Lee

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.03mdk
- 6.0n.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0-0.02mdk
- Upgrade spec.vim and mandrakizifications.

* Tue Nov  7 2000 DindinX <odin@mandrakesoft.com> 6.0-0.01mdk
- 6.0
- remove ctags from this package

* Tue Sep 19 2000 DindinX <odin@mandrakesoft.com> 5.7-7mdk
- Added a patch to fix the paths in the man pages
  (Thx to Jerome Dumonteil for reporting this)

* Thu Aug 31 2000 DindinX <odin@mandrakesoft.com> 5.7-6mdk
- Rebuild on ke
- Macrozifications
- BM

* Tue Jun 27 2000 DindinX <odin@mandrakesoft.com> 5.7-5mdk
- really fix the help files
- now vi is very spartiate (VI-like) and vim has syntax highlighting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-4mdk
- make vim-minimal very, very minimal

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-3mdk
- fix a typo which prevent the help files to be found
- remove syntax highlighting by default
- remove all trace of indenting

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-2mdk
- Corrected the ctags version: 3.5.1

* Mon Jun 26 2000 DindinX <odin@mandrakesoft.com> 5.7-1mdk
- 5.7
- use a more standard vimrc file

* Thu May 25 2000 DindinX <odin@mandrakesoft.com> 5.6-19mdk
- Upgrade to 5.6.072
- remove autoindentation :(

* Tue May  2 2000 DindinX <odin@mandrakesoft.com> 5.6-18mdk
- wrap option now defaults to FALSE

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 5.6-17mdk
- remove menu icon path

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 5.6-16mdk
- fix for perl 5.6
- fix for ctags (i modified patch vim-typo)
- rebuild on true compile box (*with* spec-helper)
- remove abusive provides ctags (not needed)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-15mdk
- Fix the online documentation

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 5.6-14mdk
- Make a separate rpm for ctags

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 5.6-13mdk
- fix the name of the menu entry
- remove etags
- move ctags from /bin to /usr/bin
- Added the ctags man page

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-12mdk
- Do the Right Thing for the menus with the help of
  Guillaume Cottenceau

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 5.6-11mdk
- Fix the menu group once again (sic)
  Thanks to Guillaume Cottenceau

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-10mdk
- Added icons

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 5.6-9mdk
- fix menu

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 5.6-8mdk
- remove the RPM_ROOT_BUILD references in %%post
  (thanks to Thierry Vignaud for pointing this)
- some changes to the default vimrc

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 5.6-7mdk
- add provides vim for X11 enhanced and minimal
- changed license from freeware to OpenSource

* Mon Mar 20 2000 DindinX <odin@mandrakesoft.com> 5.6-6mdk
- Specs fixes
- removed absolute links
- Added menu entry
- Remove the hlsearch by default (cause it might be puzzling)

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-5mdk
- Finally include ctags in vim-common :-/

* Thu Feb 10 2000 DindinX <odin@mandrakesoft.com> 5.6-4mdk
- fix a typo in the call to the ./configure script so more features
  are now enabled.

* Sun Feb  6 2000 DindinX <odin@mandrakesoft.com> 5.6-3mdk
- Added support for Chinese/Japanese/Corean support for gvim
  (Thanks to Pablo)
- added a link for the default vimrc.

* Mon Jan 31 2000 DindinX <odin@mandrakesoft.com> 5.6-2mdk
- Added the doc/ subdirectory in /usr/doc/vim-common-5.6/doc
- Correctly install vimrc_hebrew

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.6-1mdk
- 5.6.
- Enable right to left mode.
- Add vimrc_hebrew from Tzafrir Cohen <tzafrir@technion.ac.il>

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.5.

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting old patch.

* Thu Jul 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file for Mandrake distribution.

# }}}
# end of file
